Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/bitcoin: update to 0.11.1 + add dev / tx / tests subpackages

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 26 Oct 2015 02:10:15 +0000

0.11.1 Release Notes:

https://github.com/bitcoin/bitcoin/blob/master/doc/release-notes/release-notes-0.11.1.md
---
 testing/bitcoin/APKBUILD | 42 ++++++++++++++++++++++++++++++++----------
 1 file changed, 32 insertions(+), 10 deletions(-)
diff --git a/testing/bitcoin/APKBUILD b/testing/bitcoin/APKBUILD
index 4636920..1649c6e 100644
--- a/testing/bitcoin/APKBUILD
+++ b/testing/bitcoin/APKBUILD
_at_@ -1,17 +1,18 @@
 # Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
 # Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
 pkgname=bitcoin
-pkgver=0.11.0
+pkgver=0.11.1
 _ver=${pkgver/_/}
 pkgrel=0
 pkgdesc="decentralized P2P electronic cash system"
 url="http://www.bitcoin.org/"
 arch="all"
 license="MIT"
-depends_dev="boost-dev openssl-dev db-dev miniupnpc-dev qt5-qtbase-dev qt5-qttools-dev protobuf-dev libqrencode-dev"
-makedepends="$depends_dev autoconf automake libtool"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool boost-dev openssl-dev db-dev miniupnpc-dev qt5-qtbase-dev
+		qt5-qttools-dev protobuf-dev libqrencode-dev chrpath"
 install="$pkgname.post-install $pkgname.pre-install"
-subpackages="$pkgname-qt $pkgname-cli"
+subpackages="$pkgname-dev $pkgname-qt $pkgname-cli $pkgname-tx $pkgname-tests"
 source="$pkgname-$_ver.tar.gz::https://github.com/bitcoin/bitcoin/archive/v${_ver}.tar.gz
 	ssize_t.patch
 	$pkgname.initd
_at_@ -38,9 +39,11 @@ build() {
 		--prefix=/usr \
 		--mandir=/usr/share/man \
 		--with-incompatible-bdb \
+		--with-gui=qt5 \
+		--with-utils \
 		--disable-ccache \
 		--disable-static \
-		--with-gui=qt5 \
+		--enable-hardening \
 		|| return 1
 	make || return 1
 }
_at_@ -50,14 +53,13 @@ package() {
 	make install DESTDIR="$pkgdir" || return 1
 	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname || return 1
 	install -m600 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/$pkgname.conf || return 1
-	rm "$pkgdir"/usr/bin/test_bitcoin
+	rm -f "$pkgdir"/usr/lib/*.la
 }
 
 qt() {
 	pkgdesc="Bitcoin with a Qt frontend & QR Code support"
 	mkdir -p "$subpkgdir"/usr/bin
 	mv "$pkgdir"/usr/bin/bitcoin-qt "$subpkgdir"/usr/bin/ || return 1
-	mv "$pkgdir"/usr/bin/test_bitcoin-qt "$subpkgdir"/usr/bin/ || return 1
 }
 
 cli() {
_at_@ -66,15 +68,35 @@ cli() {
 	mv "$pkgdir"/usr/bin/bitcoin-cli "$subpkgdir"/usr/bin/ || return 1
 }
 
-md5sums="7463ff45ad2ece6fad1b673bb2c2afbb  bitcoin-0.11.0.tar.gz
+tx() {
+        pkgdesc="Bitcoin TX (Transaction Tool)"
+        mkdir -p "$subpkgdir"/usr/bin
+        mv "$pkgdir"/usr/bin/bitcoin-tx "$subpkgdir"/usr/bin/ || return 1
+}
+
+tests() {
+        pkgdesc="Bitcoin & Bitcoin-QT Unit Tests)"
+        mkdir -p "$subpkgdir"/usr/bin
+	chrpath -d "$pkgdir"/usr/bin/test_bitcoin || return 1
+	mv "$pkgdir"/usr/bin/test_bitcoin-qt "$subpkgdir"/usr/bin/ || return 1
+	mv "$pkgdir"/usr/bin/test_bitcoin "$subpkgdir"/usr/bin/ || return 1
+}
+
+dev() {
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/lib "$subpkgdir"/usr/ || return 1
+	mv "$pkgdir"/usr/include "$subpkgdir"/usr/ || return 1
+}
+
+md5sums="45f7473982eb896fe313b78a142652e2  bitcoin-0.11.1.tar.gz
 716a88e668729e89d3eb929da86f7f04  ssize_t.patch
 70a29202a5fa77e50e92083b014909c9  bitcoin.initd
 3e9b4a37bb46e6cd83b6824870c58484  bitcoin.conf"
-sha256sums="2bcd61a4c288e5cc5d7fbe724606c610a20037332b06f7a9e99c1153eef73aef  bitcoin-0.11.0.tar.gz
+sha256sums="6b238ab46bb10c7a83237dfd69b09c95f08043bbe0b478f9c256b9536186b8d2  bitcoin-0.11.1.tar.gz
 f0a094c7b374338ad153ee06b7dd2369dad6b97b1f1bb0252da12c9aaace5321  ssize_t.patch
 432b769f9e7cc2e728d72dd38c20ef54132da4a36134988e3401c8451f31bc42  bitcoin.initd
 b7a31bf251f1011ab6584b610acac8494612c2012e9771985228c36c08a315ac  bitcoin.conf"
-sha512sums="d3f033eaa7eba0956d4ba08b0773bcfc6fc4a85711b8d615fac7e63c9117a6df65c0d50d62559250bee910f7e692fcd00dea3cce615d828e2903887c321804a9  bitcoin-0.11.0.tar.gz
+sha512sums="08cf97539be59026c8084c260ac2fe4ce4a658b0ce068ac9b6fb7a3bb3ce5e5b0bf82fbbea670eac5ee974d6cc6980b6f4b69670996b82f751b85197204c736c  bitcoin-0.11.1.tar.gz
 98aa5ad81bdb4ae961b791bc978c39117cdf2d83c2181f92bebbb0db107d9b6e86eda265fb3f93ff8a5ca8a7754d7148818b98095d57201dff9363d60b97e7dd  ssize_t.patch
 cb2454c353014213bd25fbb938affe79639aa82542c560eaa910e4d9fc01d1cbfec6d8ff004aab9a123ca62e26ed2ebeb264b052a36d3d7154758061065664ab  bitcoin.initd
 48abce0f0a5b088c957aa5cb2bcf9bb520593caa7a20019bdf785e43f7d2459968240d4529dfa30be2fca92891bf50c1253a513530511e99d8ee471d9ff6bd95  bitcoin.conf"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Oct 26 2015 - 02:10:15 GMT